@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-lg-8">
            <div class="card">
                <div class="card-header">{{ $wowa->created_at }}</div>

                <div class="card-body">
                    <div class="form-inline">
                        {!! $wowa->statusBadge() !!}
                    </div>
                    <div id="id">
                        <p>
                            <i class="fas fa-hashtag"></i>
                            <b>Id</b> : {{ $wowa->id }}
                        </p>
                    </div>
                    <div id="user">
                        <p>
                            <i class="fas fa-user"></i>
                            <b>User</b> : {{ \App\User::findUserNameById($wowa) }}
                        </p>
                    </div>
                    <div id="score">
                        <p>
                            <b>Score</b> : {{ $wowa->score }}
                        </p>
                    </div>
                    <div id="population">
                        <p>
                            <b>Population number</b> : {{ $wowa->population }}
                        </p>
                    </div>
                    <div id="crossover">
                        <p>
                            <b>Crossover Rate</b> : {{ $wowa->crossover_rate }}
                        </p>
                    </div>
                    <div id="mutation">
                        <p>
                            <b>Mutation Rate</b> : {{ $wowa->mutation_rate }}
                        </p>
                    </div>
                    <div id="generation">
                        <p>
                            <b>Generation number</b> : {{ $wowa->generation_number }}
                        </p>
                    </div>
                    <div id="weights_w">
                        <p><b>Weights W Vector</b> : <br> <span id="w_weights_value">@json($wowa->weightsW())</span></p>
                        <button class="btn btn-info" id="w_weights_button">Copy Weights W to clipboard</button>
                    </div>
                    <div id="weights_p">
                        <p><b>Weights P Vector</b> : <br> <span id="p_weights_value">@json($wowa->weightsP())</span></p>
                        <button class="btn btn-info" id="p_weights_button">Copy Weights P to clipboard</button>

                    </div>

                    <div id="roc">
                        <p>
                            <b>AUC Roc curve</b> : {{ $wowa->roc }}
                        </p>
                    </div>
                    <div id="pr">
                        <p>
                            <b>AUC P-R curve</b> : {{ $wowa->pr }}
                        </p>
                    </div>
                    <div>
                        <form method="POST"
                              action="{{ action('WowaController@destroy', ['wowa' => $wowa]) }}"
                              style="display: inline-block">
                            {{ csrf_field() }}
                            {{ method_field("DELETE") }}
                            <button class="btn btn-danger">
                                 Delete
                            </button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript">
    document.getElementById("w_weights_button").addEventListener("click", function() {
        var cb = navigator.clipboard;
        var w = document.getElementById("w_weights_value");
        cb.writeText(w.innerText.replace(/\[|\]/g, ''));
        document.getElementById("w_weights_button").innerHTML = "Copied!";
    });
    document.getElementById("p_weights_button").addEventListener("click", function() {
        var cb = navigator.clipboard;
        var p = document.getElementById("p_weights_value");
        cb.writeText(p.innerText.replace(/\[|\]/g, ''));
        document.getElementById("p_weights_button").innerHTML = "Copied!";
    });
</script>
@endsection
